Subject: Re: bug#46154: Not able to get Hindi "Input Method" to add in listing of available input methods in non-gnome wm like stumpwm

From: Arun Isaac <[email-masked]>
Date: Sun, 31 Jan 2021 21:05:23 +0530

Hi,

I don't know much about the state of ibus in Guix. When last I checked a
few years ago, I couldn't get it to work for Tamil. So, I tried uim and
it worked. Perhaps, just as an immediate workaround until this bug is
addressed, maybe you could try uim?

My uim setup is as follows. You probably need similar.

Contents of ~/.uim
--8<---------------cut here---------------start------------->8---
(define default-im-name 'm17n-ta-tamil99)
--8<---------------cut here---------------end--------------->8---

Relevant environment variables in ~/.bashrc
--8<---------------cut here---------------start------------->8---
export GUIX_GTK3_IM_MODULE_FILE=~/.guix-profile/lib/gtk-3.0/3.0.0/immodules-gtk3.cache
export GUIX_GTK2_IM_MODULE_FILE=~/.guix-profile/lib/gtk-2.0/2.10.0/immodules-gtk2.cache
--8<---------------cut here---------------end--------------->8---

Regards,
Arun